## org.apache.lucene.util
Interface Bits

All Known Subinterfaces:
  MutableBits

All Known Implementing Classes:
  Bits.MatchAllBits, Bits.MatchNoBits, DocIdBitSet, FixedBitSet, OpenBitSet, OpenBitSetDISI

    public interface Bits

Interface for Bitset-like structures.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` `Bits.MatchAllBits` Bits impl of the specified length with all bits set.
`static class` `Bits.MatchNoBits` Bits impl of the specified length with no bits set.

Field Summary
`static Bits[]` `EMPTY_ARRAY`

Method Summary
`boolean` `get(int index)` Returns the value of the bit with the specified `index`.
`int` `length()` Returns the number of bits in this set

Field Detail

### EMPTY_ARRAY

    static final Bits[] EMPTY_ARRAY

Method Detail

### get

    boolean get(int index)

  Returns the value of the bit with the specified `index`.

  Parameters:
    `index` - index, should be non-negative and < `length()`. The result of passing negative or out of bounds values is undefined by this interface, just don't do it!
  Returns:
    `true` if the bit is set, `false` otherwise.

### length

    int length()

  Returns the number of bits in this set

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.